Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 128158 - Memory leak in UpdateHelper
Memory leak in UpdateHelper
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Mysik
issues@java
perfleak
: PERFORMANCE, TEST
Depends on:
Blocks: 121855
  Show dependency treegraph
 
Reported: 2008-02-22 13:47 UTC by Jaroslav Tulach
Modified: 2008-02-27 11:48 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2008-02-22 13:47:51 UTC
private static final java.util.Map org.netbeans.api.java.source.JavaSource.finishedRequests->
java.util.WeakHashMap@8dfbca-table->
[Ljava.util.WeakHashMap$Entry;@15eaed9-[12]->
java.util.WeakHashMap$Entry@1661165-value->
java.util.LinkedList@823357-header->
java.util.LinkedList$Entry@e46a6b-next->
java.util.LinkedList$Entry@191221e-element->
org.netbeans.api.java.source.JavaSource$Request@1591419-javaSource->
org.netbeans.api.java.source.JavaSource@176f740-classpathInfo->
org.netbeans.api.java.source.ClasspathInfo@1032074-srcClassPath->
org.netbeans.api.java.classpath.ClassPath@1dc3b5b-impl->
org.netbeans.modules.java.j2seproject.classpath.SourcePathImplementation@127c1ab-sourceRoots->
org.netbeans.modules.java.api.common.SourceRoots@16775da-helper->
org.netbeans.modules.java.api.common.ant.UpdateHelper@3d68be-updateProject->
org.netbeans.modules.java.j2seproject.UpdateProjectImpl@a8604d-project->
org.netbeans.modules.java.j2seproject.J2SEProject@1949c1e
Comment 1 Tomas Mysik 2008-02-22 13:51:50 UTC
I will look at it.
Comment 2 Tomas Zezula 2008-02-25 10:10:59 UTC
This memory leak is just about the last opened java file holding single project. Maybe not so important.

Comment 3 Jaroslav Tulach 2008-02-25 17:44:04 UTC
I know that in real use it may not be that important, but it is important to me, as I want to make commit validation 
failing as soon as there is a single leak anywhere. But you can do anything to make the leak disappear - feel free to 
open new Java file in the test, if that helps you.
Comment 4 Tomas Zezula 2008-02-27 09:28:50 UTC
Fixed in: 1f9c9de8099a



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo